(defun C:PLBOX (/ OBJ VAR LL UR pt1 pt2 l b d)
  (vl-load-com)
  (prompt
    (strcat "\n" (chr 160) "\n" (chr 160) "\n" (chr 160))
  )
  (if (and (setq OBJ (car (entsel)))
	   (or (setq A (getreal	(strcat	"\n"
					(chr 160)
					"\n"
					(chr 160)
					"\n"
					(chr 160)
					"\nRandabstand <0> : "
				)
		       )
	       )
	       (setq A 0.0)
	   )
      )
    (progn
      (vla-getboundingbox (vlax-ename->vla-object OBJ) 'LL 'UR)
      (setq VAR (mapcar 'vlax-safearray->list (list LL UR)))
      (setq pt1	(mapcar '- (car VAR) (list A A 0))
	    pt2	(mapcar '+ (cadr VAR) (list A A 0))
      )
      (setq l (strcat "l=" (rtos (- (car pt2) (car pt1))))
	    b (strcat "b=" (rtos (- (cadr pt2) (cadr pt1))))
      )
      (command "_.rectang"
	       pt1
	       pt2
      )
      ;;Hier wird er Block eingefgt. Pfad entsprechend anpassen
      ;; die \\ nicht vergessen. Falls schon ein Block in der Zeichnung
      ;; ist mu die Zeile mit ";" auskommentiert werden 
      (command "_.insert" "c:\\temp\\Varinc.dwg" pt1 "" "" "")
      (setq d (strcat "d=" (getstring "\nDicke?:")))	
      (Attchg "VARINC" "PAR1" l)
      (Attchg "VARINC" "PAR2" b)
      (Attchg "VARINC" "PAR3" d)
    )
  )
  (prompt
    (strcat "\n" (chr 160) "\n" (chr 160) "\n" (chr 160))
  )
  (princ)
)
(defun Attchg (blname att wert / blockent attribut en)
  (setq	blockent (ssname (ssget "X" (list (cons 2 BlName))) 0)
	attribut (strcase att)
  )
  (while blockent
    (setq blockent (entnext blockent))
    (setq en (entget blockent))
    (if	(= (cdr (assoc 2 en)) attribut)
      (progn
	(entmod	(subst
		  (cons 1 wert)
		  (assoc 1 en)
		  en
		)
	)
	(setq blockent nil)
      )
    )
  )
)
(princ)